yakuake – frequent text render issues

Bug #264176 reported by naztech on 2008-09-03
24
This bug affects 1 person
Affects Status Importance Assigned to Milestone
yakuake
Unknown
Medium
yakuake (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: yakuake

Yakuake experinces issues when rendering text to the screen. Doesn't happen all the time but occurs often enough to be frustrating... When issues occurs I have to either highlight the whole page of text or the effected area with the mouse or switch to alt tab and back again. this will most of the time re draw the text on page so that its readable.

Ubuntu Hard 64bit - gnome - compiz
2.8.1-1-ubunt2 (hardy)

:~$ lsb_release -rd
Description: Ubuntu 8.04.1
Release: 8.04

:~$ apt-cache policy yakuake
yakuake:
  Installed: 2.8.1-1ubuntu2
  Candidate: 2.8.1-1ubuntu2
  Version table:
 *** 2.8.1-1ubuntu2 0
        500 http://au.archive.ubuntu.com hardy/universe Packages
        100 /var/lib/dpkg/status

Richard Johnson (nixternal) wrote :

Would it be possible for you to grab a screenshot of this issue and let me know if it is still occurring. I think I have witnessed a similar issue in the past, but without seeing your issue I can't be sure. Thanks!

Changed in yakuake:
assignee: nobody → nixternal
status: New → Incomplete

Not the best example but here is a screenshot never the less... Not
how the shells prompt is missing where "[root@vinhnd-nas001 data]#"
should be...

If get a better example I will send it through also

On Tue, 2008-10-14 at 14:32 +1100, Richard Johnson wrote:

> Would it be possible for you to grab a screenshot of this issue and
> let
> me know if it is still occurring. I think I have witnessed a similar
> issue in the past, but without seeing your issue I can't be sure.
> Thanks!
>
> ** Changed in: yakuake (Ubuntu)
> Assignee: (unassigned) => Richard Johnson (nixternal)
> Status: New => Incomplete
>
> --
> yakuake – frequent text render issues
> https://bugs.launchpad.net/bugs/264176
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “yakuake” source package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: yakuake
>
> Yakuake experinces issues when rendering text to the screen.
> Doesn't happen all the time but occurs often enough to be
> frustrating... When issues occurs I have to either highlight the
> whole page of text or the effected area with the mouse or switch to
> alt tab and back again. this will most of the time re draw the text
> on page so that its readable.
>
> Ubuntu Hard 64bit - gnome - compiz
> 2.8.1-1-ubunt2 (hardy)
>
> :~$ lsb_release -rd
> Description: Ubuntu 8.04.1
> Release: 8.04
>
> :~$ apt-cache policy yakuake
> yakuake:
> Installed: 2.8.1-1ubuntu2
> Candidate: 2.8.1-1ubuntu2
> Version table:
> *** 2.8.1-1ubuntu2 0
> 500 http://au.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
>

This email is confidential. If you are not the intended recipient you must not disclose or use the information contained in it. If you have received this email in error please notify us immediately by return email and delete it from your system. It is your responsibility to scan this email for computer viruses and other defects. Visy does not warrant or represent the accuracy or completeness of any information contained in this email and does not accept any liability for any loss or damage caused by this email.

Visy asks that you please consider our environment before printing this email.

naztech (matthew-pollard) wrote :

Not the best example but its there never the less...

note the prompt is not drawn on screen correctly

naztech (matthew-pollard) wrote :

I should also add I run the gnaome desktop and installed konsole and yakuake.. (konsole being a obvious dependency for the yakuake application.) I do not see the same issue in gnome terminal.. I will try to remember to use konsole to see if i get the same problem.

MichaelConnors (connorsml) wrote :

I am using Ubuntu running Gnome, however I use both Konsole and Yakuake as my command line interfaces. Since upgrading to Intrepid Ibex, I now need to hit return twice after typing a command. The command runs the first time I hit return, but I cannot see the output until I hit return again. This does not happen every time, but it happens more often than not. It may be the case that it only happens when both Konsole and Yakuake have been opened at the same time, however it still continues to happen while only one remains open.

Also sometimes, when I select part of the output, the output under the cursor seems to change.

I think this may be the same as the problem above.

Gnurou (gnurou) wrote :

I got the same problem - switching to 2.9.3-0ubuntu1 during intrepid upgrade fixed it.

I get mixed results with Intrepid. My instance works fine at home with
out any issues. My work laptop has issues intermittently and my
partners XPS Laptop get the problem every time and as soon as the
yakuake window is dropped.

Can I ask everyone with this issue,
"Are you all running compiz (desktop effects")
"Do you have nvidia Gfx?" (all mine have nvidia cards)

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Gnurou
Sent: Saturday, 8 November 2008 12:58 PM
To: Matthew Pollard
Subject: [Bug 264176] Re: yakuake - frequent text render issues

I got the same problem - switching to 2.9.3-0ubuntu1 during intrepid
upgrade fixed it.

--
yakuake - frequent text render issues
https://bugs.launchpad.net/bugs/264176
You received this bug notification because you are a direct subscriber
of the bug.

Status in "yakuake" source package in Ubuntu: Incomplete

Bug description:
Binary package hint: yakuake

Yakuake experinces issues when rendering text to the screen. Doesn't
happen all the time but occurs often enough to be frustrating...
When issues occurs I have to either highlight the whole page of text or
the effected area with the mouse or switch to alt tab and back again.
this will most of the time re draw the text on page so that its
readable.

Ubuntu Hard 64bit - gnome - compiz
2.8.1-1-ubunt2 (hardy)

:~$ lsb_release -rd
Description: Ubuntu 8.04.1
Release: 8.04

:~$ apt-cache policy yakuake
yakuake:
  Installed: 2.8.1-1ubuntu2
  Candidate: 2.8.1-1ubuntu2
  Version table:
 *** 2.8.1-1ubuntu2 0
        500 http://au.archive.ubuntu.com hardy/universe Packages
        100 /var/lib/dpkg/status

This email is confidential. If you are not the intended recipient you must not disclose or use the information contained in it. If you have received this email in error please notify us immediately by return email and delete it from your system. It is your responsibility to scan this email for computer viruses and other defects. Visy does not warrant or represent the accuracy or completeness of any information contained in this email and does not accept any liability for any loss or damage caused by this email.

Visy asks that you please consider our environment before printing this email.

Gnurou (gnurou) wrote :

I have been running KDE 4 (desktop effects enabled), on machines with Intel and ATI cards.

MichaelConnors (connorsml) wrote :

I am running compiz and use nvidia.

Carl Bullock (dreamsofubuntu) wrote :

I'm also suffering with this problem and I run both compiz-fusion and also use nvidia. I've included a much better example of the problem in the screenshot below

ToMikaa (tomikaa87) wrote :

The same here. Itrepid+Gnome+Compiz+nVidia. "Konsole" has this problem too.

nh2 (nh2) wrote :

Confirmed using Intrepid, KDE 4.1.3, Compiz and the latest proprietary NVIDIA driver (180.16).
Btw, this is very very annoying.

mdrozdziel (mdrozdziel) wrote :

Confirmed,

Description: Ubuntu 8.10
Release: 8.10

yakuake 2.9.3-0ubuntu1
nvidia-glx-177 177.80-0ubuntu2

Gibson (jusitn-taco) wrote :

Just want to add that I have experienced the same issues in both 64bit and 32bit Ubuntu in 8.04 and 8.10. Also, I have used the restricted Nvidia drivers and the Linux drivers available of of the Nvidia website with no luck. The one thing in common between the variations is compiz. I also tried changing the speed in Yakuake to no avail.

nh2 (nh2) wrote :

No progress using the latest stable driver 180.22, either.
I've got the same problem with Lokalize - I do not know which one is more annoying.
In both cases: no compiz = no problem.

Dolf Andringa (dolf-andringa) wrote :

I have the same with an nvidia mobile videocard, the nivida-glx-177 binary driver, compiz (0.7.8) with desktop effects turned on and using a gnome desktop 2.22.3 in ubuntu intrepid, konsole 4.1.3 and yakuake 2.9.3-0.
Turning off compiz (no desktop effects) solves the problem with me. So it seems to be a combination of compiz , gnome and yakuake/konsole.

nh2 (nh2) wrote :

In my eyes, it is not related neither only to Yakuake neither to GNOME but rather to Compiz combinated to Qt or the KD _Environment_ itself. I experience these problems under KDE as well as GNOME, using both Yakuake and Lokalize (see the screenshots attached). Not only the console text remains not updated or corrupted, but also the common scrollbars sometimes do not move on mouse wheel usage.

Please give it a try and install and launch Lokalize and open any .po file which should not be too small. Scroll down the entries in the left and click on them; you will notice that at certain times parts of the entry list or even the whole Lokalize window is not updated after clicking on a list entry.

Maybe Lokalize's behaviour gives somebody a hint what is wrong with some of these Qt programs.

nh2 (nh2) wrote :
Richard Johnson (nixternal) wrote :

Confirming due to comments, heading upstream with this if possible.

Changed in yakuake:
status: Incomplete → Confirmed
Changed in yakuake:
status: Unknown → Confirmed
Mightymod (mightymod) wrote :

Confirmed also with Ubuntu 9.04

Yakuake 2.9.4-0ubuntu1
Nvidia 180.35
Compiz 0.8.2-0ubuntu2

nh2 (nh2) wrote :

It seems this has greatly improved with NVIDIA 185.13. All my yakuake render issuses are gone!
Lokalize has also improved, but sometimes the screen is still not updated.

Please try 185.13 and tell us if it improves anything.

My current system configuration:
Ubuntu 8.10 (Gnome), Compiz 0.7.8, KDE Experimental Repo (->KDE 4.2.1, Qt 4.5), Yakuake 2.9.3, Lokalize 0.3,
NVIDIA 185.13.

Catscrash (catscrash) wrote :

sry didn't get better here with nv 185.13 and gnome and compiz

Ubuntu 8.10 (Gnome), Compiz 0.7.8, yakuake 2.9.3, but KDE 4.1.4 and QT 4.4.3, could that be why? where did you get the repo for 4.2.1 and 4.5?

nh2 (nh2) wrote :

There is the Kubuntu Experimental PPA on https://launchpad.net/~kubuntu-experimental/+archive/ppa

nh2 (nh2) wrote :

@Catscrash: Did it help?

I had to notice that it is still not completely gone, sometimes the issues are back. In this case, I change the Qt4 style to another style and restart yakuake. No rendering issues for some time again. Marvellous.

Catscrash (catscrash) wrote :

it got slightly better, but not much here

Catscrash (catscrash) wrote :

after my tests this can be fixed by using the latest compiz from jaunty and activate "force synchronization between x and glx" in compiz settings-manager

salubrium (mcampbell-mosqhoy) wrote :

Thanks Catscrash. Fixed the issue I was having in Jaunty. More complete details for others:

sudo apt-get install compizconfig-settings-manager

System->Preferences->Compizconfig Settings Manager

Search for "Workarounds" and Tick "force synchronization between x and glx"

Should really be a default for Compiz on Gnome, I think.

Thanks All, Confirmed this resolved my problem too...

salubrium wrote:
> Thanks Catscrash. Fixed the issue I was having in Jaunty. More complete
> details for others:
>
> sudo apt-get install compizconfig-settings-manager
>
> System->Preferences->Compizconfig Settings Manager
>
> Search for "Workarounds" and Tick "force synchronization between x and
> glx"
>
> Should really be a default for Compiz on Gnome, I think.
>
>

This email is confidential. If you are not the intended recipient you must not disclose or use the information contained in it. If you have received this email in error please notify us immediately by return email and delete it from your system. It is your responsibility to scan this email for computer viruses and other defects. Visy does not warrant or represent the accuracy or completeness of any information contained in this email and does not accept any liability for any loss or damage caused by this email.

Visy asks that you please consider our environment before printing this email.

Andrew Muro (andrewdangermuro) wrote :

i don't think this is yakuake, but konsole. i just experienced it with konsole 4.2.2-0ubuntu4 on jaunty.

Claire de V (claire-devalence) wrote :

Confirmed, same problem, compiz workaround fixed it.

Ubuntu 9.04 (Gnome), Compiz 1:0.8.2-0ubuntu8, Yakuake 2.9.4-0ubuntu1, KDE 4:4.2.2-0ubuntu1, QT 4.5.0-0ubuntu4.1, Nvidia 180.44

nh2 (nh2) wrote :

For me, it even works without the compiz workaround ticked (using nvidia 185.18.14).
Could you try if 185.18.14 works for you without it, too?

Are you using jaunty? Jaunt activates the fix b y default now days
Regards,
Matthew Pollard
Unix System Administrator
VISY

----- Original Message -----
From: <email address hidden> <email address hidden>
To: Matthew Pollard
Sent: Wed Jun 17 23:11:11 2009
Subject: [Bug 264176] Re: yakuake – frequent text render issues

For me, it even works without the compiz workaround ticked (using nvidia 185.18.14).
Could you try if 185.18.14 works for you without it, too?

--
yakuake – frequent text render issues
https://bugs.launchpad.net/bugs/264176
You received this bug notification because you are a direct subscriber
of the bug.

Status in yakuake: Confirmed
Status in “yakuake” source package in Ubuntu: Confirmed

Bug description:
Binary package hint: yakuake

Yakuake experinces issues when rendering text to the screen. Doesn't happen all the time but occurs often enough to be frustrating... When issues occurs I have to either highlight the whole page of text or the effected area with the mouse or switch to alt tab and back again. this will most of the time re draw the text on page so that its readable.

Ubuntu Hard 64bit - gnome - compiz
2.8.1-1-ubunt2 (hardy)

:~$ lsb_release -rd
Description: Ubuntu 8.04.1
Release: 8.04

:~$ apt-cache policy yakuake
yakuake:
  Installed: 2.8.1-1ubuntu2
  Candidate: 2.8.1-1ubuntu2
  Version table:
 *** 2.8.1-1ubuntu2 0
        500 http://au.archive.ubuntu.com hardy/universe Packages
        100 /var/lib/dpkg/status

This email is confidential. If you are not the intended recipient you must not disclose or use the information contained in it. If you have received this email in error please notify us immediately by return email and delete it from your system. It is your responsibility to scan this email for computer viruses and other defects. Visy does not warrant or represent the accuracy or completeness of any information contained in this email and does not accept any liability for any loss or damage caused by this email.

Visy asks that you please consider our environment before printing this email.

jolindbe (jolindbe) wrote :

I've got the same issue on Nvidia 180 drivers, using Intrepid.
However, when I attempted to do the "force synchronization between x and glx"-fix, it wasn't in the list in my CompizConfig. How can I add this fix to the workarounds in the list?

Andrew Muro (andrewdangermuro) wrote :

compiz workaround didn't work for me, but i'm running the legacy nvidia drivers (96.43.10) because i have a geforce4 ti4200.

i just tried it again for kicks; the same scrolling problem happens in the yakuake shortcuts configuration window too.

jolindbe (jolindbe) wrote :

I found the way to add the "force synch...." to the list: http://nvnews.net/vbulletin/showthread.php?t=129711

Changed in yakuake (Ubuntu):
assignee: Richard Johnson (nixternal) → nobody
nh2 (nh2) wrote :

Is this bug still present for anyone in Lucid?

Changed in yakuake:
importance: Unknown → Medium
Changed in yakuake:
status: Confirmed → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.